> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Prior Authorization



## OpenAPI

````yaml patch /public/v1/prior-authorizations/{prior_authorization_id}
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/prior-authorizations/{prior_authorization_id}:
    patch:
      tags:
        - V1PriorAuthorizationResource
      summary: Update Prior Authorization
      operationId: V1PriorAuthorizationResource.patch
      parameters:
        - in: path
          name: prior_authorization_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1PriorAuthorizationPatch'
        description: ''
      responses:
        '204':
          description: OK
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1PriorAuthorizationPatch:
      properties:
        requested_treatment_codes:
          default: null
          description: List of treatment codes to update
          title: Requested Treatment Codes
          nullable: true
          items:
            $ref: '#/components/schemas/V1RequestedTreatmentCodePatch'
          type: array
        documents:
          default: null
          description: List of documents to update
          title: Documents
          nullable: true
          items:
            $ref: '#/components/schemas/V1DocumentPatch'
          type: array
        document_intelligence_configurations:
          default: null
          description: >-
            Document intelligence configurations for validation overrides. By
            default, document validation is enabled if the document type
            supports it and document validation is enabled on your account
          title: Document Intelligence Configurations
          nullable: true
          items:
            $ref: '#/components/schemas/V1DocumentIntelligenceConfiguration'
          type: array
        clinician:
          $ref: '#/components/schemas/V1ClinicianPatch'
          default: null
          description: Clinician information
          nullable: true
        start_date:
          default: null
          description: Requested start date
          title: Start Date
          nullable: true
          format: date
          type: string
        save_as_draft:
          default: false
          description: >-
            Whether to save as draft. Only available if prior auth management is
            enabled. Reach out to your Silna contact to turn it on.
          title: Save As Draft
          type: boolean
        skip_document_intelligence:
          default: false
          description: Skip document intelligence across all documents.
          title: Skip Document Intelligence
          type: boolean
      title: V1PriorAuthorizationPatch
      type: object
      x-folder: public_api
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1RequestedTreatmentCodePatch:
      properties:
        time_frame:
          $ref: '#/components/schemas/UnitTimeFrame'
          description: Time frame for the units
        unit_type:
          $ref: '#/components/schemas/PriorAuthorizationUnit'
          description: Type of unit for this treatment code
        treatment_codes:
          description: List of treatment codes
          items:
            $ref: '#/components/schemas/V1TreatmentCodeCreate'
          title: Treatment Codes
          type: array
        units:
          description: Number of units requested
          title: Units
          type: string
      required:
        - time_frame
        - unit_type
        - treatment_codes
        - units
      title: V1RequestedTreatmentCodePatch
      type: object
      x-folder: public_api
    V1DocumentPatch:
      properties:
        document_type:
          $ref: '#/components/schemas/PriorAuthorizationUploadDocumentType'
          description: Type of document
        file_id:
          description: ID of the file
          format: uuid
          title: File Id
          type: string
      required:
        - document_type
        - file_id
      title: V1DocumentPatch
      type: object
      x-folder: public_api
    V1DocumentIntelligenceConfiguration:
      properties:
        document_type:
          $ref: '#/components/schemas/PriorAuthorizationUploadDocumentType'
          description: Type of document
        document_validation:
          $ref: '#/components/schemas/V1DocumentValidationRequestConfiguration'
          default: null
          description: Document validation configuration
          nullable: true
      required:
        - document_type
      title: V1DocumentIntelligenceConfiguration
      type: object
      x-folder: public_api
    V1ClinicianPatch:
      properties:
        npi:
          description: NPI of the clinician
          title: Npi
          type: string
        first_name:
          description: Fist Name of the clinician
          title: First Name
          type: string
        last_name:
          description: Last Name of the clinician
          title: Last Name
          nullable: true
          type: string
      required:
        - npi
        - first_name
        - last_name
      title: V1ClinicianPatch
      type: object
      x-folder: public_api
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
    UnitTimeFrame:
      type: string
      enum:
        - DAILY
        - WEEKLY
        - MONTHLY
        - AUTHORIZATION_PERIOD
        - TOTAL
        - SIX_MONTHS
        - YEARLY
      x-folder: prior_authorization
    PriorAuthorizationUnit:
      type: string
      enum:
        - VISITS
        - CPT_UNITS
        - HOURS
        - DAYS
      x-folder: prior_authorization
    V1TreatmentCodeCreate:
      properties:
        code:
          description: Treatment code (e.g. a CPT code)
          title: Code
          type: string
        treatment_code_modifiers:
          description: List of treatment code modifiers
          items:
            $ref: '#/components/schemas/V1TreatmentCodeModifiersCreate'
          title: Treatment Code Modifiers
          type: array
      required:
        - code
        - treatment_code_modifiers
      title: V1TreatmentCodeCreate
      type: object
      x-folder: public_api
    PriorAuthorizationUploadDocumentType:
      type: string
      enum:
        - AUTHORIZATION_FORM
        - PROGRESS_NOTE
        - DIAGNOSIS_REPORT
        - REFERRAL
        - ASSESSMENT_EVALUATION
        - CANCELLATION_LETTER
        - TREATMENT_PLAN_PLAN_OF_CARE
        - ATTENDANCE_LOGS
        - INDIVIDUALIZED_EDUCATION_PROGRAM
        - CHANGE_OF_PROVIDER_FORM
        - TELEHEALTH_ATTESTATION
        - ABAS
        - VINELAND
        - SRS_2
        - PDDBI
        - PSI_SIPA
      x-folder: prior_authorization
    V1DocumentValidationRequestConfiguration:
      properties:
        enabled:
          default: true
          description: Whether to enabled document validation
          title: Enabled
          type: boolean
        validation_disabled_reason:
          default: null
          description: Reason for disabling validation
          title: Validation Disabled Reason
          nullable: true
          type: string
      title: V1DocumentValidationRequestConfiguration
      type: object
      x-folder: public_api
    V1TreatmentCodeModifiersCreate:
      properties:
        code:
          description: Modifier code
          title: Code
          type: string
      required:
        - code
      title: V1TreatmentCodeModifiersCreate
      type: object
      x-folder: public_api
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````